@echo on

echo 正在注册BS-Plant系统服务......

PMIS_Csl.exe bin/PMIS_Fpm.exe
PMIS_Csl.exe nginx/PMIS_Nginx.exe -p nginx

mysql\bin\mysqld.exe --install PMIS_MySQL
net start PMIS_MySQL

sc query PMIS_Task >nul
if errorlevel 1060 (goto noexist) else (goto exist)

:noexist

bin\PMIS_Task.exe /install /silent
goto exist

:exist

net start PMIS_Task
